# -*- coding: utf-8 -*-
require 'spec_helper'

describe "GirlsBar::Helper" do
  describe "self.setcolor()" do
    it 'ブロックを渡さなくても、正常に出力できる' do
      expect { GirlsBar::Helper.set_color(:blue, :on_green) }.to output("\e[34;42m\e[0m").to_stdout
    end

    it 'ブロックを渡すと、ブロック内の処理が実行される' do
      expect { GirlsBar::Helper.set_color(:red) { print "hello" } }.to output("\e[31mhello\e[0m").to_stdout
    end

    it '引数を渡さなくても、エラーにはならない' do
      expect { GirlsBar::Helper.set_color }.to output("\e[m\e[0m").to_stdout
    end
  end
end
