# -*- coding: utf-8 -*-
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'girls_bar/version'

Gem::Specification.new do |spec|
  spec.name          = "girls_bar"
  spec.version       = GirlsBar::VERSION
  spec.authors       = ["Yoshiyuki Hirano"]
  spec.email         = ["yoshiyuki.hirano@henteco-labs.com"]
  spec.summary       = %q{ Create interactive CLI program from YAML or JSON. }
  spec.description   = %q{ Create interactive CLI program from YAML or JSON. }
  spec.homepage      = "https://github.com/YoshiyukiHirano/girls_bar"
  spec.license       = "MIT"

  spec.files         = `git ls-files -z`.split("\x0")
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ["lib"]

  spec.required_ruby_version = '>= 1.9.3'

  spec.add_development_dependency 'bundler', ['~> 1.7']
  spec.add_development_dependency 'rake', ['~> 10.0']
  spec.add_development_dependency 'rspec', ['~> 0']
  spec.add_development_dependency 'pry', ['~> 0.10', '>= 0.10.1']
  spec.add_development_dependency 'coveralls', ['~> 0.7', '>= 0.7.3']
  spec.add_development_dependency 'rdoc', ['~> 0']
end
